summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2020-03-25 12:23:25 -0700
committerZac Medico <zmedico@gentoo.org>2020-03-25 12:24:13 -0700
commitab3a65311eaae2242a5b04d06daec7daea90e5da (patch)
tree9b3f37d5b0ee33917843fbc03babf8578b2959cb
parentnet-analyzer/nmap: security cleanup (bug #711308) (diff)
downloadgentoo-ab3a65311eaae2242a5b04d06daec7daea90e5da.tar.gz
gentoo-ab3a65311eaae2242a5b04d06daec7daea90e5da.tar.bz2
gentoo-ab3a65311eaae2242a5b04d06daec7daea90e5da.zip
sys-apps/portage: Revbump to 2.3.96-r1
This applies a small fixup to the changes for bug 714480. Bug: https://bugs.gentoo.org/711148 Bug: https://bugs.gentoo.org/714480 See: https://gitweb.gentoo.org/proj/portage.git/commit/?id=2b3fc2be07ad897b7df6b77f79616c143a353275 Package-Manager: Portage-2.3.96, Repoman-2.3.21 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--sys-apps/portage/portage-2.3.96-r1.ebuild (renamed from sys-apps/portage/portage-2.3.96.ebuild)3
1 files changed, 3 insertions, 0 deletions
diff --git a/sys-apps/portage/portage-2.3.96.ebuild b/sys-apps/portage/portage-2.3.96-r1.ebuild
index 1e0dc18322b..3c6d08531c7 100644
--- a/sys-apps/portage/portage-2.3.96.ebuild
+++ b/sys-apps/portage/portage-2.3.96-r1.ebuild
@@ -97,6 +97,9 @@ pkg_pretend() {
python_prepare_all() {
distutils-r1_python_prepare_all
+ # Apply 2b3fc2be07ad
+ sed -e '422s/return True/return (True, None)/' -i lib/portage/locks.py || die
+
sed -e "s:^VERSION = \"HEAD\"$:VERSION = \"${PV}\":" -i lib/portage/__init__.py || die
if use gentoo-dev; then